mieki256's diary



2021/07/30(金) [n年前の日記]

#1 [nitijyou] 自宅サーバ止めてました

雷が鳴ったので、12:45-17:15の間、自宅サーバ止めてました。申し訳ないです。

毎日毎日、雷が…。コレ、いつまで続くの…。

#2 [ubuntu][cg_tools] AzPainter 3.0.x が Ubuntu 18.04 LTS上でビルドできない

Ubuntu Linux 18.04 LTS を動かしてるサブPCのメンテナンスをしていた際に、AzPainter 3.0.3 をビルドしようとしたらエラーが出てしまった。

_Azel / AzPainter - GitLab

3.0.3 だからエラーが出るのかなと 3.0.0 にしてビルドを試してみたものの、それでもエラーが出る。
$ git clone https://gitlab.com/azelpg/azpainter.git

$ git tag
v2.1.7
v3.0.0
v3.0.1
v3.0.2
v3.0.3

$ git checkout -b build300 v3.0.0
Switched to a new branch 'build300'

$ git branch
* build300
  master

$ ./configure

$ make
...
mlk/libmlk.a(mlk_font_freetype.o): 関数 `mFontFT_enumVariableStyle' 内:
mlk_font_freetype.c:(.text+0x11b2): `FT_Done_MM_Var' に対する定義されていない参照です
clang: error: linker command failed with exit code 1 (use -v to see invocation)
Makefile:228: recipe for target 'azpainter' failed
make: *** [azpainter] Error 1

changelog を眺めたところ、AzPainter 3.0.0 から自作ライブラリを mlk を使って書き直した、と記述があった。おそらくその mlk が Ubuntu 18.04 LTS上でビルドできない作りなのだろう…。

AzPainter の PPA(?)でも、Ubuntu 18.04 (Bionic Beaver)用のバイナリは 2.1.7 止まりで、Ubuntu 20.04 (Focal Fossa)用のバイナリは 3.0.3 が提供されていたりするので、自分の環境だけがおかしいというわけではなさそう。

_AzPainter - 16bit RGB full color paint software : Alexander Pozdnyakov

まあ、今からあえて、デスクトップ用途で Ubuntu 18.04 LTS を使う人はほとんど居ないだろうし…。どうしても Ubuntu 18.04 LTS を使いたい場合でも、AzPainter 2.1.7 なら利用はできるし、てなところもありそうな。

以上、1 日分です。

過去ログ表示

Prev - 2021/07 - Next
1 2 3
4 5 6 7 8 9 10
11 12 13 14 15 16 17
18 19 20 21 22 23 24
25 26 27 28 29 30 31

カテゴリで表示

検索機能は Namazu for hns で提供されています。(詳細指定/ヘルプ


注意: 現在使用の日記自動生成システムは Version 2.19.6 です。
公開されている日記自動生成システムは Version 2.19.5 です。

Powered by hns-2.19.6, HyperNikkiSystem Project